import { Options, Service } from 'ahooks/lib/useRequest/src/types';
export interface ConcurrentRequestOptions extends Omit<Options<any, any[]>, 'defaultParams'> {
    /**最大并发请求数量 */
    max?: number;
    /**是否与 Promise.allSettled 效果一样 */
    allSettled?: boolean;
    /**默认参数 在自动请求的时候会带上 */
    defaultParams?: any[][];
}
/**
 * 并发请求函数
 * @param {Service<any, any[]>[]} [asyncFns=[]] 异步请求函数数组
 * @param {ConcurrentRequestOptions} [options={}] ahooks 的 useRequest 的配置项 增加了 max 与 allSettled
 * @return {*} ahooks 的 useRequest 的返回值
 */
export default function useConcurrentRequest(asyncFns?: Service<any, any[]>[], options?: ConcurrentRequestOptions): import("ahooks/lib/useRequest/src/types").Result<any, any[]>;
