function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useEffect, useState } from 'react';
var useGeolocation = function useGeolocation() {
  var _useState = useState({
      accuracy: null,
      altitude: null,
      altitudeAccuracy: null,
      heading: null,
      latitude: null,
      longitude: null,
      speed: null,
      timestamp: Date.now()
    }),
    _useState2 = _slicedToArray(_useState, 2),
    state = _useState2[0],
    setState = _useState2[1];
  var watchId;
  useEffect(function () {
    var _navigator, _navigator$geolocatio, _navigator2, _navigator2$geolocati;
    var onEvent = function onEvent(event) {
      console.log('event', event);
      setState({
        accuracy: event.coords.accuracy,
        altitude: event.coords.altitude,
        altitudeAccuracy: event.coords.altitudeAccuracy,
        heading: event.coords.heading,
        latitude: event.coords.latitude,
        longitude: event.coords.longitude,
        speed: event.coords.speed,
        timestamp: event.timestamp
      });
    };
    var onError = function onError(error) {
      return setState(error);
    };
    (_navigator = navigator) === null || _navigator === void 0 ? void 0 : (_navigator$geolocatio = _navigator.geolocation) === null || _navigator$geolocatio === void 0 ? void 0 : _navigator$geolocatio.getCurrentPosition(onEvent, onError);
    watchId = (_navigator2 = navigator) === null || _navigator2 === void 0 ? void 0 : (_navigator2$geolocati = _navigator2.geolocation) === null || _navigator2$geolocati === void 0 ? void 0 : _navigator2$geolocati.watchPosition(onEvent, onError);
    return function () {
      var _navigator3, _navigator3$geolocati;
      (_navigator3 = navigator) === null || _navigator3 === void 0 ? void 0 : (_navigator3$geolocati = _navigator3.geolocation) === null || _navigator3$geolocati === void 0 ? void 0 : _navigator3$geolocati.clearWatch(watchId);
    };
  }, []);
  return state;
};
export default useGeolocation;